終了 - eclipse android 開発 2017



AVDマネージャ-Android仮想デバイスを作成できない (11)

私は昨日、Android Eclipse PluginとAndroid SDKをGoogleからインストールしました。 Window -> Android Virtual Device Manager行き、AVD Managerウィンドウを開きます。 次に「新規」をクリックし、「新しいAndroid仮想デバイス(AVD)の作成」ウィンドウが表示されます。 問題は、「OK」ボタンがグレー表示されないようにすることができないことです。 「Device」からNexus 7を選択し、AVDに名前を付けて、「Android 4.2 API Level 17」をターゲットとして選択します。 残りの設定で何をしても、「OK」ボタンはグレー表示され続けます。 私は何の誤りもありません。 何が欠落しているのか、なぜ「OK」をクリックしてウィンドウを進めることができないのでしょうか?

https://src-bin.com


Answer #1

AVDの作成に問題がある場合は、単に新しいフォルダ(eclipse、android sdk、avd)に入れてみて、それを実行すればうまくいくはずです。 そのフォルダでEclipseを開き、いつものように実行してください


Answer #2

AVD名のスペースを避ける必要があります。 &「スキン」オプションを選択します。


Answer #3

SDK Pathを何らかの形で変更した場合は、インストール済みのSDKが正しく表示されているにもかかわらず、それを見つけることができません。

私はAndroid SDKマネージャをopenigで解決し、そのダイアログでメニューのTools - > Manage AVDsを選択して解決しました。 また、Eclipseのツールバーから直接AVDを管理するときは、作成したAVDを更新する必要があります。


Answer #4

SDKマネージャを開き、すべてがインストールされていること、特にシステムイメージがインストールされていることを確認する必要があります。 その後、大丈夫です!


Answer #5

Visual Studio 2015からAVDマネージャを起動すると、この問題が解決されました。

私はたくさんのパッケージをインストールしました、必要なパッケージはすべてインストールされていましたが、しばらく使っていなかったため、SDKマネージャでそれらを検出する問題がありました。 私は 'android / sdk / tools'のmonitor.batファイルを実行した後、AVDを実行することを含め、上記で提供されたすべてのソリューションを無駄にしようとしました。

その後、「Tools-> Android-> Android Emulator Manager」のVSからAVDを起動し、「Google API Intel Atom x86」とARM EABI v7aシステムの両方のイメージを検出しました。

ターゲットはAPIレベル23に設定されています。


Answer #6

すべての必要なパッケージがインストールされていましたが、同じ問題がありました。 私はEclipseを終了し、\ android-sdks \ tools \フォルダのmonitor.batを実行し、そこからAVDマネージャを開き、ここで仮想デバイスを作成することができました。


Answer #7

もう1つのことは私をうまくいきました:「名前」フィールドは1つの単語でなければならず、スペースを入れてはいけません!


Answer #8

ターゲットの下のドロップダウンでCPU / ABIターゲットを選択していないか、システムイメージをインストールしていないかのいずれかです。 SDKマネージャを開き、Android 4.2セクションにARM EABI v7a System Imageがインストールされていることを確認します。


Answer #9

私はAVDを作るのに苦労しました。

どちらか:

  • SDKマネージャからSDKバージョンをインストールした後にEclipseを再起動するか、
  • Eclipseの外で "AVD Manager.exe"を実行する必要があります

Answer #10

私はandroid-sdks \ toolsにmonitor.batを開いて、そこでデバイスマネージャを起動しました。私はAVDを作成することができました。


Answer #11

私は実際に一週間前にこの問題にぶつかりました。 この問題は、SDKの最新バージョンでAndroid SDKプラグインの更新版Eclipse版を使用しないことと関係していました。 それは全体的に楽しい問題でしたが、私はそれを更新するとすぐに姿を消しました。

私はAVDの画像と運が更新さえした。 どうやら古いプラグインは新しい画像レイアウトや何かを見ることができません。 これは、SDKのバージョン22.3用です。





eclipse